CVE-2014-8541

Priority
Description
libavcodec/mjpegdec.c in FFmpeg before 2.4.2 considers only dimension
differences, and not bits-per-pixel differences, when determining whether
an image size has changed, which allows remote attackers to cause a denial
of service (out-of-bounds access) or possibly have unspecified other impact
via crafted MJPEG data.
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):not-affected (7:2.5.4-1)
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (7:2.5.4-1)
Ubuntu 18.10 (Cosmic Cuttlefish):not-affected (7:2.5.4-1)
Ubuntu 19.04 (Disco Dingo):not-affected (7:2.5.4-1)
Patches:
Upstream:http://git.videolan.org/?p=ffmpeg.git;a=commit;h=5c378d6a6df8243f06c87962b873bd563e58cd39
Package
Source: libav (LP Ubuntu Debian)
Upstream:released (11.2,10.6)
Ubuntu 12.04 ESM (Precise Pangolin):DNE (precise was released [4:0.8.17-0ubuntu0.12.04.2])
Ubuntu 14.04 LTS (Trusty Tahr):needed
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Ubuntu 18.04 LTS (Bionic Beaver):DNE
Ubuntu 18.10 (Cosmic Cuttlefish):DNE
Ubuntu 19.04 (Disco Dingo):DNE
Patches:
Upstream:https://git.libav.org/?p=libav.git;a=commit;h=809c3023b699c54c90511913d3b6140dd2436550
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE (precise was needed)
Ubuntu 14.04 LTS (Trusty Tahr):not-affected (uses system ffmpeg)
Ubuntu 16.04 LTS (Xenial Xerus):not-affected (code not present)
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (code not present)
Ubuntu 18.10 (Cosmic Cuttlefish):not-affected (code not present)
Ubuntu 19.04 (Disco Dingo):not-affected (code not present)
More Information

Updated: 2019-01-14 21:16:12 UTC (commit 51f9b73af244ba86b9321e46e526586c25a8e060)